Package org.eclipse.emf.cdo.spi.common.revision

# Interface InternalCDORevisionManager.RevisionLoader

All Known Subinterfaces:
  `CDOSessionProtocol`, `InternalCDORevisionManager.RevisionLoader2`, `InternalCDORevisionManager.RevisionLoader3`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`

Enclosing interface:
  `InternalCDORevisionManager`

public static interface InternalCDORevisionManager.RevisionLoader
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleRevisions(EClass eClass, CDOBranch branch, boolean exactBranch, long timeStamp, boolean exactTime, CDORevisionHandler handler)`
`InternalCDORevision`
`loadRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk)`
`List<RevisionInfo>`
`loadRevisions(List<RevisionInfo> infos, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth)`
Deprecated.
As of 4.15 use `InternalCDORevisionManager.RevisionLoader3.loadRevisions(List, CDOBranchPoint, int, int, boolean)`.

## Method Details

### loadRevisionByVersion

InternalCDORevision loadRevisionByVersion(CDOID id, CDOBranchVersion branchVersion, int referenceChunk)

### handleRevisions

void handleRevisions(EClass eClass, CDOBranch branch, boolean exactBranch, long timeStamp, boolean exactTime, CDORevisionHandler handler)

Since:
  4.3

### loadRevisions

@Deprecated List<RevisionInfo> loadRevisions(List<RevisionInfo> infos, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth)
Deprecated.
As of 4.15 use `InternalCDORevisionManager.RevisionLoader3.loadRevisions(List, CDOBranchPoint, int, int, boolean)`.